Next: tanh, Previous: sqrt, Up: Math [Contents][Index]

### 1.57 `tan`, `tanf`—tangent

Synopsis

    #include <math.h>
    double tan(double x);
    float tanf(float x);

Description
`tan` computes the tangent of the argument x. Angles are specified in radians.

`tanf` is identical, save that it takes and returns `float` values.

Returns
The tangent of x is returned.

Portability
`tan` is ANSI. `tanf` is an extension.